package com.dgtly.system.service.impl;

import java.util.List;
import com.dgtly.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.dgtly.system.mapper.PeopInfoMapper;
import com.dgtly.system.domain.PeopInfo;
import com.dgtly.system.service.IPeopInfoService;
import com.dgtly.common.core.text.Convert;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author dgtly
 * @date 2020-02-14
 */
@Service
public class PeopInfoServiceImpl implements IPeopInfoService 
{
    @Autowired
    private PeopInfoMapper peopInfoMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public PeopInfo selectPeopInfoById(Long id)
    {
        return peopInfoMapper.selectPeopInfoById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param peopInfo 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<PeopInfo> selectPeopInfoList(PeopInfo peopInfo)
    {
        return peopInfoMapper.selectPeopInfoList(peopInfo);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param peopInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertPeopInfo(PeopInfo peopInfo)
    {
        peopInfo.setCreateTime(DateUtils.getNowDate());
        return peopInfoMapper.insertPeopInfo(peopInfo);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param peopInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updatePeopInfo(PeopInfo peopInfo)
    {
        peopInfo.setUpdateTime(DateUtils.getNowDate());
        return peopInfoMapper.updatePeopInfo(peopInfo);
    }

    /**
     * 删除【请填写功能名称】对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deletePeopInfoByIds(String ids)
    {
        return peopInfoMapper.deletePeopInfoByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deletePeopInfoById(Long id)
    {
        return peopInfoMapper.deletePeopInfoById(id);
    }
}
